KD Chart 2: KDChart::BarAttributes class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::BarAttributes Class Reference

`#include <KDChartBarAttributes.h>`

Collaboration diagram for KDChart::BarAttributes:

[legend]
List of all members.

## Public Member Functions
| BarAttributes (const BarAttributes &)
| BarAttributes ()
qreal | barGapFactor () const
bool | drawSolidExcessArrows () const
qreal | fixedBarWidth () const
qreal | fixedDataValueGap () const
qreal | fixedValueBlockGap () const
qreal | groupGapFactor () const
bool | operator!= (const BarAttributes &other) const
BarAttributes & | operator= (const BarAttributes &)
bool | operator== (const BarAttributes &) const
void | setBarGapFactor (qreal gapFactor)
void | setDrawSolidExcessArrows (bool solidArrows)
void | setFixedBarWidth (qreal width)
void | setFixedDataValueGap (qreal gap)
void | setFixedValueBlockGap (qreal gap)
void | setGroupGapFactor (qreal gapFactor)
void | setUseFixedBarWidth (bool useFixedBarWidth)
void | setUseFixedDataValueGap (bool gapIsFixed)
void | setUseFixedValueBlockGap (bool gapIsFixed)
bool | useFixedBarWidth () const
bool | useFixedDataValueGap () const
bool | useFixedValueBlockGap () const
| ~BarAttributes ()

## Constructor & Destructor Documentation

KDChart::BarAttributes::BarAttributes | ( |  | ) |

KDChart::BarAttributes::BarAttributes | ( | const BarAttributes & |  | ) |

KDChart::BarAttributes::~BarAttributes | ( |  | ) |

## Member Function Documentation

qreal KDChart::BarAttributes::barGapFactor | ( |  | ) | const

bool KDChart::BarAttributes::drawSolidExcessArrows | ( |  | ) | const

qreal KDChart::BarAttributes::fixedBarWidth | ( |  | ) | const

| Referenced by KDChart::BarDiagram::paint().

qreal KDChart::BarAttributes::fixedDataValueGap | ( |  | ) | const

| Referenced by KDChart::BarDiagram::paint().

qreal KDChart::BarAttributes::fixedValueBlockGap | ( |  | ) | const

| Referenced by KDChart::BarDiagram::paint().

qreal KDChart::BarAttributes::groupGapFactor | ( |  | ) | const

bool KDChart::BarAttributes::operator!= | ( | const BarAttributes & | other | ) | const

| Definition at line 71 of file KDChartBarAttributes.h.
    00071 { return !operator==(other); }

BarAttributes& KDChart::BarAttributes::operator= | ( | const BarAttributes & |  | ) |

bool KDChart::BarAttributes::operator== | ( | const BarAttributes & |  | ) | const

void KDChart::BarAttributes::setBarGapFactor | ( | qreal | gapFactor | ) |

void KDChart::BarAttributes::setDrawSolidExcessArrows | ( | bool | solidArrows | ) |

void KDChart::BarAttributes::setFixedBarWidth | ( | qreal | width | ) |

void KDChart::BarAttributes::setFixedDataValueGap | ( | qreal | gap | ) |

void KDChart::BarAttributes::setFixedValueBlockGap | ( | qreal | gap | ) |

void KDChart::BarAttributes::setGroupGapFactor | ( | qreal | gapFactor | ) |

void KDChart::BarAttributes::setUseFixedBarWidth | ( | bool | useFixedBarWidth | ) |

void KDChart::BarAttributes::setUseFixedDataValueGap | ( | bool | gapIsFixed | ) |

void KDChart::BarAttributes::setUseFixedValueBlockGap | ( | bool | gapIsFixed | ) |

bool KDChart::BarAttributes::useFixedBarWidth | ( |  | ) | const

| Referenced by KDChart::BarDiagram::paint().

bool KDChart::BarAttributes::useFixedDataValueGap | ( |  | ) | const

| Referenced by KDChart::BarDiagram::paint().

bool KDChart::BarAttributes::useFixedValueBlockGap | ( |  | ) | const

| Referenced by KDChart::BarDiagram::paint().

The documentation for this class was generated from the following file:

- KDChartBarAttributes.h